Subject: bug#26205: Unhappy with deprecating GREP_OPTIONS

From: Paul Eggert <[email-masked]>
Date: Tue, 21 Mar 2017 09:43:40 -0700

On 03/21/2017 08:39 AM, Thomas Güttler wrote:
> Why is GREP_OPTIONS deprecated? 

The main reason is that it breaks shell scripts. Scripts generally 
expect 'grep' to behave as specified in POSIX and as implemented via 
traditional 'grep' implementations. GREP_OPTIONS breaks this.

Some shell scripts work around the problem by explicitly unsetting 
GREP_OPTIONS before they call 'grep'. However, most scripts don't, I 
expect because their authors are not generally aware of this 
compatibility issue. So in practice the convenience of GREP_OPTIONS can 
be more trouble than it's worth.

>  * Strategy 4: Write a simple wrapper script. No, I think this is too 
> dirty and makes more trouble than it solves.
Why is it dirty? What trouble does it cause, other than the trouble 
GREP_OPTIONS causes?